get file='abortion.sav'.

*Produces 2-dimensional solution for crosstabulation of attitude by education.

weight by count.

CORRESPONDENCE
  TABLE = educ(1 3)  BY attitude(1 3)
  /DIMENSIONS = 2
  /MEASURE = CHISQ
  /STANDARDIZE = RCMEAN
  /NORMALIZATION = SYMMETRICAL
  /PRINT = TABLE RPOINTS CPOINTS RPROFILES CPROFILES
  /PLOT = NDIM(1,MAX) BIPLOT(20) RPOINTS(20) CPOINTS(20) .

*Creates interactive education/religion variable.

if (educ=1 and religion=1) edrel=1.
if (educ=2 and religion=1) edrel=2.
if (educ=3 and religion=1) edrel=3.
if (educ=1 and religion=2) edrel=4.
if (educ=2 and religion=2) edrel=5.
if (educ=3 and religion=2) edrel=6.
if (educ=1 and religion=3) edrel=7.
if (educ=2 and religion=3) edrel=8.
if (educ=3 and religion=3) edrel=9.
value labels edrel 1 '<=8 NP' 2 '9-12 NP' 3 '>=13 NP'
  4 '<=8 SP' 5 '9-12 SP' 6 '>=13 SP'
  7 '<=8 C' 8 '9-12 C' 9 '>=13 C'.

*Produces 2-dimensional solution for cross-tabulation of attitude by education/religion.
CORRESPONDENCE
  TABLE = edrel(1 9)  BY attitude(1 3)
  /DIMENSIONS = 2
  /MEASURE = CHISQ
  /STANDARDIZE = RCMEAN
  /NORMALIZATION = SYMMETRICAL
  /PRINT = TABLE RPOINTS CPOINTS
  /PLOT = NDIM(1,MAX) BIPLOT(20) .


